> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/introduction-to-graphql/queries.md).

# Queries

### About Queries <a href="#about-queries" id="about-queries"></a>

Every GraphQL schema has a root type for both queries and mutations. The query type defines GraphQL operations that retrieve data from the server.

For more information, see "[Forming calls with GraphQL](#performing-queries-in-graphql)" below.

### Performing Queries in GraphQL

GraphQL queries return only the data you specify. To form a query, you must specify [fields within fields](https://docs.github.com/en/graphql/guides/introduction-to-graphql#field) (also known as *nested subfields*) until you return only [scalars](https://docs.github.com/en/graphql/reference/scalars).

Queries are structured like this:

```graphql
query {
  JSON-OBJECT-TO-RETURN
}
```

For an actual example, see "[Example Query](/api-reference/introduction-to-graphql/queries/example-query.md)".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/introduction-to-graphql/queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
